## DzlDockWidget

DzlDockWidget

## Functions

GtkWidget * | dzl_dock_widget_new ()
void | dzl_dock_widget_set_title ()
void | dzl_dock_widget_set_icon_name ()
void | dzl_dock_widget_set_gicon ()

## Types and Values

| DzlDockWidgetClass

## Description

## Functions

### dzl_dock_widget_new ()

    GtkWidget *
    dzl_dock_widget_new (void);

### dzl_dock_widget_set_title ()

    void
    dzl_dock_widget_set_title (DzlDockWidget *self,
                               const gchar *title);

### dzl_dock_widget_set_icon_name ()

    void
    dzl_dock_widget_set_icon_name (DzlDockWidget *self,
                                   const gchar *icon_name);

### dzl_dock_widget_set_gicon ()

    void
    dzl_dock_widget_set_gicon (DzlDockWidget *self,
                               GIcon *gicon);

## Types and Values

### DzlDockWidgetClass

    typedef struct {
      DzlBinClass parent;

      gpointer _reserved1;
      gpointer _reserved2;
      gpointer _reserved3;
      gpointer _reserved4;
      gpointer _reserved5;
      gpointer _reserved6;
      gpointer _reserved7;
      gpointer _reserved8;
    } DzlDockWidgetClass;